jvx.numeric

## Class PnEnergyMinimizer_IP

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - jv.object.PsPanel
        - - jvx.numeric.PnEnergyMinimizer_IP

- All Implemented Interfaces:
    java.awt.event.ActionListener, java.awt.event.ItemListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.lang.Runnable, java.util.EventListener, javax.accessibility.Accessible, PsUpdateIf

      public class PnEnergyMinimizer_IP
      extends PsPanel
      implements java.lang.Runnable, java.awt.event.ActionListener, java.awt.event.ItemListener

  Info panel for energy minimization to control minimization process and print info.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    01.09.08, 3.70 revised (kp) Filling of EV choice reactivated after issues with Java 1.6 seem resolved.
    15.03.08, 3.60 revised (kp) Removed TextListener since update could initiate infinite loop.
    06.02.04, 3.50 revised (kp) Fixing of marked vertices corrected since checkbox showed no effect.
    26.10.02, 3.40 revised (kp) New checkbox to switch between float/double-precision EV.
    03.03.02, 3.30 revised (kp) Show energy value in non-exponential form.
    20.12.01, 3.20 revised (ep) Internationalization.
    15.08.99, 3.10 revised (kp) Converted to AWT1.1 event model.
    21.07.99, 3.00 revised (kp) Moved panels from PgHamonicMap_IP.
    14.06.99, 2.10 revised (kp) BusyBox temporarily deactivated for Java 1.02 compatibility.
    00.05.99, 2.00 revised (kp) BusyBox included.
    00.00.97, 1.00 created (kp)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SOLVER_SETTINGS`

    - ### Fields inherited from class jv.object.PsPanel

      `BORDER_GROOVE, BORDER_LINE, BORDER_LINETOP, BORDER_NONE, BORDER_SUNK, BOUNDARY, BOUNDARY_EXT, CONFIG, CONFIG_EXT, INFO, INFO_EXT, LABEL, LABEL_EXT, MATERIAL, MATERIAL_EXT, ORIENT_GUIDE, ORIENT_HORIZONTAL, ORIENT_VERTICAL, TEXTURE, TEXTURE_EXT, VECTOR, VECTOR_EXT`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnEnergyMinimizer_IP()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(java.awt.event.ActionEvent event)` Handle action events invoked from buttons, menu items, text fields.
    `PsTabPanel` | `getTabPanel()` tab panel representing the main menu
    `void` | `init()` Provides layout and adds internal components.
    `void` | `itemStateChanged(java.awt.event.ItemEvent event)` Handle item state events invoked from choices, checkboxes, list items.
    `void` | `run()`
    `void` | `setParent(PsUpdateIf parent)` Set parent of this panel which receives update events.
    `boolean` | `update(java.lang.Object event)` Update the class whenever a child has changed.

    - ### Methods inherited from class jv.object.PsPanel

      `addLabelComponent, addLine, addLine, addSubTitle, addTextField, addTitle, drawBorder, drawBorder, drawBorder, drawBorder, drawText, getFather, getInsets, getLanguage, getPanelVersion, getPreferredSize, getTitle, getTitle, getTitle, hasTitle, instanceOf, paint, removeTitle, select, setBackColor, setBorderType, setEnabled, setImage, setInsetSize, setInsetSizeHorizontal, setInsetSizeVertical, setLabel, setLabel, setOutOfDate, setPreferredSize, setSelectedCheckbox, setState, setText, setText, setTitle, setVisible, update`

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Field Detail

    - #### SOLVER_SETTINGS

          public static final java.lang.String SOLVER_SETTINGS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PnEnergyMinimizer_IP

          public PnEnergyMinimizer_IP()

  - ### Method Detail

    - #### init

          public void init()

      Description copied from class: `PsPanel`
      Provides layout and adds internal components.
      Overrides:
        `init` in class `PsPanel`

    - #### setParent

          public void setParent(PsUpdateIf parent)

      Description copied from class: `PsPanel`
      Set parent of this panel which receives update events.

      The method `getFather` allows to retrieve this parent.

      Specified by:
        `setParent` in interface `PsUpdateIf`
      Overrides:
        `setParent` in class `PsPanel`
      Parameters:
        `parent` - parent of this panel
      See Also:
        `PsPanel.getFather()`

    - #### update

          public boolean update(java.lang.Object event)

      Update the class whenever a child has changed. Method is usually invoked from the children.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PsPanel`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject`, `PsUpdateIf.getFather()`, `PsUpdateIf.setParent(PsUpdateIf)`

    - #### actionPerformed

          public void actionPerformed(java.awt.event.ActionEvent event)

      Handle action events invoked from buttons, menu items, text fields.
      Specified by:
        `actionPerformed` in interface `java.awt.event.ActionListener`

    - #### itemStateChanged

          public void itemStateChanged(java.awt.event.ItemEvent event)

      Handle item state events invoked from choices, checkboxes, list items.
      Specified by:
        `itemStateChanged` in interface `java.awt.event.ItemListener`

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`

    - #### getTabPanel

          public PsTabPanel getTabPanel()

      tab panel representing the main menu

"

The software JavaView? is copyright protected. All Rights Reserved.
"